Subject: substitution failure of nss-certs

From: Josh Holland <[email-masked]>
Date: Tue, 08 Oct 2019 15:18:32 +0100

After the core-updates merge today, I did the following, and it gave an
error message (I tried a couple of times, with the same result):

$ guix pull && guix package -m ~/guix-packages.scm -u .
# ... snip ...
downloading from https://ci.guix.gnu.org/nar/gzip/532l4zja85y9c69i0l0bwnsxx98gpzdw-nss-certs-3.45...
 nss-certs-3.45  148KiB                                                                                                                              937KiB/s 00:00 [#                 ]  10.8%Backtrace:

gzip: stdout: Broken pipe
           3 (apply-smob/1 #<catch-closure 2146640>)
In ice-9/boot-9.scm:
    705:2  2 (call-with-prompt _ _ #<procedure default-prompt-handle?>)
In ice-9/eval.scm:
    619:8  1 (_ #(#(#<directory (guile-user) 21c9140>)))
In guix/ui.scm:
  1734:12  0 (run-guix-command _ . _)

guix/ui.scm:1734:12: In procedure run-guix-command:
Throw to key `encoding-error' with args `("scm_to_stringn" "cannot convert wide string to output locale" 84 #f #f)'.
 nss-certs-3.45  148KiB                                                                                                                              1.3MiB/s 00:00 [##################] 100.0%substitution of /gnu/store/532l4zja85y9c69i0l0bwnsxx98gpzdw-nss-certs-3.45 failed
killing process 645584
guix package: error: some substitutes for the outputs of derivation `/gnu/store/gvckkl62hkn74wcyw9x1wd0bkjf7c6y5-nss-certs-3.45.drv' failed (usually happens due to networking issues); try `--fallback' to build derivation from source

I then did the same, but added the suggested `--fallback` option onto
the end:

$ guix package -m ~/guix-packages.scm -u . --fallback
# snip massive list of "the following derivations will be built"
downloading from https://ci.guix.gnu.org/nar/gzip/532l4zja85y9c69i0l0bwnsxx98gpzdw-nss-certs-3.45...
 nss-certs-3.45  148KiB                                                                                                                             36.0MiB/s 00:00 [#                 ]  10.8%Backtrace:

gzip: stdout: Broken pipe
           3 (apply-smob/1 #<catch-closure 1212640>)
In ice-9/boot-9.scm:
    705:2  2 (call-with-prompt _ _ #<procedure default-prompt-handle?>)
In ice-9/eval.scm:
    619:8  1 (_ #(#(#<directory (guile-user) 1295140>)))
 nss-certs-3.45  148KiB                                                                                                                             12.5MiB/s 00:00 [##################] 100.0%In guix/ui.scm:
  1734:12  0 (run-guix-command _ . _)

guix/ui.scm:1734:12: In procedure run-guix-command:
Throw to key `encoding-error' with args `("scm_to_stringn" "cannot convert wide string to output locale" 84 #f #f)'.
substitution of /gnu/store/532l4zja85y9c69i0l0bwnsxx98gpzdw-nss-certs-3.45 failed

The command did then complete successfully, I assume building nss-certs
locally instead, though I can't see any further references to it in the
output.

I'm currently trying the same thing on my other computer.

--
Josh Holland